package com.yxproject.start.entity;

import javax.persistence.*;
import java.sql.Time;
import java.util.Date;
import java.util.Objects;

/**
 * Created by zhangyusheng on 2018/11/16 10:51
 */
@Entity
@Table(name = "POLICE_STATION_VAILED", schema = "DAHAI", catalog = "")
public class PoliceStationVailedEntity {
    private long police_Station_Vailed_Id;
    private long task_Id;
    private String police_Station_Code;
    private long vailed_Count;
    private long invalid_Count;
    private Date sava_Date;
    @Id
    @Column(name = "POLICE_STATION_VAILED_ID", nullable = false, precision = 0)
    public long getPolice_Station_Vailed_Id() {
        return police_Station_Vailed_Id;
    }

    public void setPolice_Station_Vailed_Id(long police_Station_Vailed_Id) {
        this.police_Station_Vailed_Id = police_Station_Vailed_Id;
    }
    @Basic
    @Column(name = "TASK_ID", nullable = false, precision = 0)
    public long getTask_Id() {
        return task_Id;
    }

    public void setTask_Id(long task_Id) {
        this.task_Id = task_Id;
    }
    @Basic
    @Column(name = "POLICE_STATION_CODE", nullable = true, length = 20)
    public String getPolice_Station_Code() {
        return police_Station_Code;
    }

    public void setPolice_Station_Code(String police_Station_Code) {
        this.police_Station_Code = police_Station_Code;
    }

    @Basic
    @Column(name = "INVALID_COUNT", nullable = false, precision = 0)
    public long getVailed_Count() {
        return vailed_Count;
    }

    public void setVailed_Count(long vailed_Count) {
        this.vailed_Count = vailed_Count;
    }
    @Basic
    @Column(name = "VAILED_COUNT", nullable = false, precision = 0)
    public long getInvalid_Count() {
        return invalid_Count;
    }

    public void setInvalid_Count(long invalid_Count) {
        this.invalid_Count = invalid_Count;
    }







    @Basic
    @Column(name = "SAVA_DATE", nullable = false)
    public Date getSava_Date() {
        return sava_Date;
    }

    public void setSava_Date(Date sava_Date) {
        this.sava_Date = sava_Date;
    }



    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        PoliceStationVailedEntity that = (PoliceStationVailedEntity) o;
        return police_Station_Vailed_Id == that.police_Station_Vailed_Id &&
                task_Id == that.task_Id &&
                vailed_Count == that.vailed_Count &&
                invalid_Count == that.invalid_Count &&
                Objects.equals(police_Station_Code, that.police_Station_Code)&&
                Objects.equals(sava_Date, that.sava_Date);
    }

    @Override
    public int hashCode() {
        return Objects.hash(police_Station_Vailed_Id, task_Id, police_Station_Code, vailed_Count,invalid_Count,sava_Date);
    }
}
